@echo off

:: Создание 20 текстовых файлов с нумерованными именами
for /l %%i in (1,1,20) do (
    echo.> "FILE%%i.txt"
)

:: Создание 10 файлов с расширением .inf
for /l %%i in (1,1,10) do (
    echo.> "%%i.inf"
)

:: Перенос всех файлов .inf в указанную директорию
if "%~1"=="" (
    echo Please specify a target directory as an argument.
) else (
    for %%f in (*.inf) do (
        move "%%f" "%1"
    )
)